﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace ARM_spec_otdelenia
{
    public partial class AddEditHome : Form
    {
        SqlConnection connection;
        SqlCommand command;
        SqlDataAdapter adapter;
        public AddEditHome()
        {
            InitializeComponent();
            connection = new SqlConnection("Server=DESKTOP-2UUHBK8\\SQLEXPRESS; Database=Спец_отделение; Trusted_connection=true;");
            command = new SqlCommand();
            command.Connection = connection;
            command.CommandType = CommandType.Text;
            adapter = new SqlDataAdapter(command);
            if (HomeClass.change == true)
            {
                timekonText.Visible = true;
                label5.Visible = true;
            }
        }
        private void saveBtn_MouseMove(object sender, MouseEventArgs e)
        {
            saveBtn.ForeColor = Color.FromArgb(24, 186, 96);
            saveBtn.FlatAppearance.BorderColor = Color.FromArgb(24, 186, 96);
        }
        private void backBtn_MouseMove(object sender, MouseEventArgs e)
        {
            backBtn.ForeColor = Color.FromArgb(24, 186, 96);
            backBtn.FlatAppearance.BorderColor = Color.FromArgb(24, 186, 96);
        }
        private void backBtn_MouseLeave(object sender, EventArgs e)
        {
            backBtn.ForeColor = Color.Black;
            backBtn.FlatAppearance.BorderColor = Color.Black;
        }
        private void saveBtn_MouseLeave(object sender, EventArgs e)
        {
            saveBtn.ForeColor = Color.Black;
            saveBtn.FlatAppearance.BorderColor = Color.Black;
        }
        private void saveBtn_Click(object sender, EventArgs e)
        {
            if (HomeClass.add == true)
            {
                if (string.IsNullOrEmpty(fioText.Text) || string.IsNullOrEmpty(timezapText.Text) || string.IsNullOrEmpty(timenachText.Text))
                {
                    MessageBox.Show("Не все поля заполнены!");
                    return;
                }
                else
                {
                    if (MessageBox.Show("Вы действительно хотите добавить запись?", "Внимание", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                    {
                        try
                        {
                            connection.Open();
                            command.CommandText = "INSERT INTO На_дом(ФИО_Соц_работника, Время_записи, Начало_работы, Завершена) VALUES(@fio, @zap, @nach, 'False')";
                            command.Parameters.AddWithValue("@fio", fioText.Text);
                            command.Parameters.AddWithValue("@zap", DateTime.Parse(timezapText.Text));
                            command.Parameters.AddWithValue("@nach", DateTime.Parse(timenachText.Text));
                            command.ExecuteReader();
                            command.Parameters.Clear();
                            connection.Close();
                            this.Close();
                            MessageBox.Show("Запись успешно добавлена!");
                        }
                        catch (Exception ex)
                        {
                            MessageBox.Show(ex.Message);
                            command.Parameters.Clear();
                            connection.Close();
                        }
                    }
                    else
                    {

                    }
                }
            }
            if (HomeClass.change == true)
            {
                if (string.IsNullOrEmpty(fioText.Text) || string.IsNullOrEmpty(timezapText.Text) || string.IsNullOrEmpty(timenachText.Text))
                {
                    MessageBox.Show("Не все поля заполнены!");
                    return;
                }
                else
                {
                    if (MessageBox.Show("Вы действительно хотите изменить запись?", "Внимание", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                    {
                        if(timekonText.Text == "  .  .       :")
                        {
                            try
                            {
                                connection.Open();
                                command.CommandText = "UPDATE На_дом SET ФИО_Соц_работника=@fio, Время_записи=@zap, Начало_работы=@nach, Конец=null, Завершена='False' WHERE ID=@id";
                                command.Parameters.AddWithValue("@fio", fioText.Text);
                                command.Parameters.AddWithValue("@zap", DateTime.Parse(timezapText.Text));
                                command.Parameters.AddWithValue("@nach", DateTime.Parse(timenachText.Text));
                                command.Parameters.AddWithValue("@id", HomeClass.id);
                                command.ExecuteReader();
                                command.Parameters.Clear();
                                connection.Close();
                                this.Close();
                                MessageBox.Show("Запись успешно изменена!");
                            }
                            catch (Exception ex)
                            {
                                MessageBox.Show(ex.Message);
                                command.Parameters.Clear();
                                connection.Close();
                            }
                        }
                        else
                        {
                            try
                            {
                                connection.Open();
                                command.CommandText = "UPDATE На_дом SET ФИО_Соц_работника=@fio, Время_записи=@zap, Начало_работы=@nach, Конец=@kon, Завершена='True' WHERE ID=@id";
                                command.Parameters.AddWithValue("@fio", fioText.Text);
                                command.Parameters.AddWithValue("@zap", DateTime.Parse(timezapText.Text));
                                command.Parameters.AddWithValue("@nach", DateTime.Parse(timenachText.Text));
                                command.Parameters.AddWithValue("@kon", DateTime.Parse(timekonText.Text));
                                command.Parameters.AddWithValue("@id", HomeClass.id);
                                command.ExecuteReader();
                                command.Parameters.Clear();
                                connection.Close();
                                this.Close();
                                MessageBox.Show("Запись успешно изменена!");
                            }
                            catch (Exception ex)
                            {
                                MessageBox.Show(ex.Message);
                                command.Parameters.Clear();
                                connection.Close();
                            }
                        }
                    }
                    else
                    {

                    }
                }
            }
        }
    }
}
