﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;
using System.Net;
using System.Net.Mail;

namespace ARM_spec_otdelenia
{
    public partial class Authorization : Form
    {
        
        public Authorization()
        {
            InitializeComponent();
        }

        //Показать текст пароля при вводе
        private void pictureBox1_Click(object sender, EventArgs e)
        {
            pictureBox1.Visible = false;
            pasText.UseSystemPasswordChar = false;
            pictureBox2.Visible = true;

        }
        //Скрыть текст пароля при вводе
        private void pictureBox2_Click(object sender, EventArgs e)
        {
            pictureBox2.Visible = false;
            pasText.UseSystemPasswordChar = true;
            pictureBox1.Visible = true;
        }

        private void enterBtn_Click(object sender, EventArgs e)
        {
            if(string.IsNullOrEmpty(logText.Text) || string.IsNullOrEmpty(pasText.Text))
            {
                MessageBox.Show("Не все поля заполнены!");
                return;
            }
            else
            {
                using(var db = new ARMClassesDataContext())
                {
                    var user = db.Пользователи.FirstOrDefault(u => logText.Text == u.Логин && pasText.Text == u.Пароль);
                    if (user == null)
                    {
                        MessageBox.Show("Пользователь не найден!");
                        return;
                    }
                    else
                    {
                        if (user.Логин == "Admin")
                        {
                            var admin = new AdminForm();
                            admin.Show();
                            Hide();
                        }
                        else
                        {
                            var admin = new UserForm();
                            admin.Show();
                            Hide();
                        }
                    }
                }
            }
        }

        private void regBtn_Click(object sender, EventArgs e)
        {
            Registration registration = new Registration();
            registration.Show();
            Hide();
        }

        private void changeBtn_Click(object sender, EventArgs e)
        {
            ChangePassword change = new ChangePassword();
            change.Show();
            Hide();
        }
        private void enterBtn_MouseMove(object sender, MouseEventArgs e)
        {
            enterBtn.ForeColor = Color.FromArgb(24, 186, 96);
            enterBtn.FlatAppearance.BorderColor = Color.FromArgb(24, 186, 96);
        }
        private void enterBtn_MouseLeave(object sender, EventArgs e)
        {
            enterBtn.ForeColor = Color.Black;
            enterBtn.FlatAppearance.BorderColor = Color.Black;
        }
        private void regBtn_MouseMove(object sender, MouseEventArgs e)
        {
            regBtn.ForeColor = Color.FromArgb(24, 186, 96);
            regBtn.FlatAppearance.BorderColor = Color.FromArgb(24, 186, 96);
        }
        private void regBtn_MouseLeave(object sender, EventArgs e)
        {
            regBtn.ForeColor = Color.Black;
            regBtn.FlatAppearance.BorderColor = Color.Black;
        }
        private void changeBtn_MouseMove(object sender, MouseEventArgs e)
        {
            changeBtn.ForeColor = Color.FromArgb(24, 186, 96);
            changeBtn.FlatAppearance.BorderColor = Color.FromArgb(24, 186, 96);
        }

        private void changeBtn_MouseLeave(object sender, EventArgs e)
        {
            changeBtn.ForeColor = Color.Black;
            changeBtn.FlatAppearance.BorderColor = Color.Black;
        }
    }
}
