﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace ARM_spec_otdelenia
{
    public partial class UserForm : Form
    {
        SqlConnection connection;
        SqlCommand command;
        SqlDataAdapter adapter;
        bool current;
        public UserForm()
        {
            InitializeComponent(); 
            connection = new SqlConnection("Server=DESKTOP-2UUHBK8\\SQLEXPRESS; Database=Спец_отделение; Trusted_connection=true;");
            command = new SqlCommand();
            command.Connection = connection;
            command.CommandType = CommandType.Text;
            adapter = new SqlDataAdapter(command);
            current = false;
        }
        public void PaintRows()
        {
            foreach (DataGridViewRow row in AdminGrid.Rows)
            {
                try
                {
                    if ((bool)row.Cells["Завершена"].Value == true)
                        row.DefaultCellStyle.BackColor = Color.FromArgb(192, 255, 192);
                    else
                        row.DefaultCellStyle.BackColor = Color.FromArgb(255, 255, 192);
                }
                catch
                {

                }
            }
        }
        public void ShowTable(string text)
        {
            AdminGrid.Columns.Clear();
            AdminGrid.DataSource = null;
            command.CommandText = text;
            var table = new DataTable();
            adapter.Fill(table);
            AdminGrid.DataSource = table;
        }
        private void clientBtn_Click(object sender, EventArgs e)
        {
            clientBtn.Enabled = false;
            zdorBtn.Enabled = true;
            contactBtn.Enabled = true;
            lichnBtn.Enabled = true;
            socpolBtn.Enabled = true;
            uslugiBtn.Enabled = true;
            homeBtn.Enabled = true;
            ShowTable("SELECT Клиенты.ID, Личные_данные.ID AS ID_Фам, Личные_данные.Фамилия, Личные_данные.Имя, Личные_данные.Отчество, Личные_данные.Пол, Личные_данные.Возраст, Контакты.ID AS ID_Кон, Контакты.Телефон, Социальное_положение.ID AS ID_Соц, Социальное_положение.Место_работы, Услуги.ID AS ID_Усл, Услуги.Наименование_услуги, Здоровье.ID AS ID_Здо, Здоровье.Трудоспособность, Здоровье.Заболевание, На_дом.ID AS ID_Над, На_дом.ФИО_соц_работника , На_дом.Время_записи, На_дом.Завершена FROM Клиенты INNER JOIN Личные_данные ON Клиенты.Личные_данные = Личные_данные.ID INNER JOIN Контакты ON Клиенты.Контакты = Контакты.ID INNER JOIN Услуги ON Клиенты.Услуги = Услуги.ID INNER JOIN Здоровье ON Клиенты.Здоровье = Здоровье.ID INNER JOIN  На_дом ON Клиенты.На_дом = На_дом.ID INNER JOIN  Социальное_положение ON Клиенты.Соц_положение = Социальное_положение.ID");
            AdminGrid.Columns["Завершена"].Visible = false;
            AdminGrid.Columns["ID"].Visible = false;
            AdminGrid.Columns["ID_Фам"].Visible = false;
            AdminGrid.Columns["ID_Кон"].Visible = false;
            AdminGrid.Columns["ID_Соц"].Visible = false;
            AdminGrid.Columns["ID_Усл"].Visible = false;
            AdminGrid.Columns["ID_Здо"].Visible = false;
            AdminGrid.Columns["ID_Над"].Visible = false;
            PaintRows();
            AdminGrid.Rows[0].Selected = false;
            AdminGrid.Columns.Cast<DataGridViewColumn>().ToList().ForEach(f => f.SortMode = DataGridViewColumnSortMode.NotSortable);
        }
        private void exitBtn_Click(object sender, EventArgs e)
        {
            this.Close();
            var author = new Authorization();
            author.Show();
        }
        private void zdorBtn_Click(object sender, EventArgs e)
        {
            clientBtn.Enabled = true;
            zdorBtn.Enabled = false;
            contactBtn.Enabled = true;
            lichnBtn.Enabled = true;
            socpolBtn.Enabled = true;
            uslugiBtn.Enabled = true;
            homeBtn.Enabled = true;
            ShowTable("SELECT * FROM Здоровье");
            AdminGrid.Rows[0].Selected = false;
            AdminGrid.Columns["ID"].Visible = false;
            AdminGrid.Columns.Cast<DataGridViewColumn>().ToList().ForEach(f => f.SortMode = DataGridViewColumnSortMode.NotSortable);

        }
        private void contactBtn_Click(object sender, EventArgs e)
        {
            clientBtn.Enabled = true;
            zdorBtn.Enabled = true;
            contactBtn.Enabled = false;
            lichnBtn.Enabled = true;
            socpolBtn.Enabled = true;
            uslugiBtn.Enabled = true;
            homeBtn.Enabled = true;
            ShowTable("SELECT * FROM Контакты");
            AdminGrid.Rows[0].Selected = false;
            AdminGrid.Columns["ID"].Visible = false;
            AdminGrid.Columns.Cast<DataGridViewColumn>().ToList().ForEach(f => f.SortMode = DataGridViewColumnSortMode.NotSortable);

        }
        private void lichnBtn_Click(object sender, EventArgs e)
        {
            clientBtn.Enabled = true;
            zdorBtn.Enabled = true;
            contactBtn.Enabled = true;
            lichnBtn.Enabled = false;
            socpolBtn.Enabled = true;
            uslugiBtn.Enabled = true;
            homeBtn.Enabled = true;
            ShowTable("SELECT * FROM Личные_данные");
            AdminGrid.Rows[0].Selected = false;
            AdminGrid.Columns["ID"].Visible = false;
            AdminGrid.Columns.Cast<DataGridViewColumn>().ToList().ForEach(f => f.SortMode = DataGridViewColumnSortMode.NotSortable);

        }
        private void socpolBtn_Click(object sender, EventArgs e)
        {
            clientBtn.Enabled = true;
            zdorBtn.Enabled = true;
            contactBtn.Enabled = true;
            lichnBtn.Enabled = true;
            socpolBtn.Enabled = false;
            uslugiBtn.Enabled = true;
            homeBtn.Enabled = true;
            ShowTable("SELECT * FROM Социальное_положение");
            AdminGrid.Columns["Доход"].DefaultCellStyle.Format = "N2";
            AdminGrid.Rows[0].Selected = false;
            AdminGrid.Columns["ID"].Visible = false;
            AdminGrid.Columns.Cast<DataGridViewColumn>().ToList().ForEach(f => f.SortMode = DataGridViewColumnSortMode.NotSortable);

        }
        private void uslugiBtn_Click(object sender, EventArgs e)
        {
            clientBtn.Enabled = true;
            zdorBtn.Enabled = true;
            contactBtn.Enabled = true;
            lichnBtn.Enabled = true;
            socpolBtn.Enabled = true;
            uslugiBtn.Enabled = false;
            homeBtn.Enabled = true;
            ShowTable("SELECT * FROM Услуги");
            AdminGrid.Columns["Стоимость"].DefaultCellStyle.Format = "N2";
            AdminGrid.Rows[0].Selected = false;
            AdminGrid.Columns["ID"].Visible = false;
            AdminGrid.Columns.Cast<DataGridViewColumn>().ToList().ForEach(f => f.SortMode = DataGridViewColumnSortMode.NotSortable);

        }
        private void homeBtn_Click(object sender, EventArgs e)
        {
            zdorBtn.Enabled = true;
            contactBtn.Enabled = true;
            lichnBtn.Enabled = true;
            socpolBtn.Enabled = true;
            uslugiBtn.Enabled = true;
            homeBtn.Enabled = false;
            ShowTable("SELECT * FROM На_дом");
            AdminGrid.Rows[0].Selected = false;
            PaintRows();
            AdminGrid.Columns["Завершена"].Visible = false;
            AdminGrid.Columns["ID"].Visible = false;
            AdminGrid.Columns.Cast<DataGridViewColumn>().ToList().ForEach(f => f.SortMode = DataGridViewColumnSortMode.NotSortable);
        }

    }
}
