﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace ARM_spec_otdelenia
{
    public partial class AdminForm : Form
    {
        SqlConnection connection;
        SqlCommand command;
        SqlDataAdapter adapter;
        bool current;
        public AdminForm()
        {
            InitializeComponent();
            connection = new SqlConnection("Server=DESKTOP-2UUHBK8\\SQLEXPRESS; Database=Спец_отделение; Trusted_connection=true;");
            command = new SqlCommand();
            command.Connection = connection;
            command.CommandType = CommandType.Text;
            adapter = new SqlDataAdapter(command);
            addBtn.Visible = false;
            delBtn.Visible = false;
            changeBtn.Visible = false;
            current = false;
        }
        public void ShowTable(string text)
        {
            AdminGrid.Columns.Clear();
            AdminGrid.DataSource = null;
            command.CommandText = text;
            var table = new DataTable();
            adapter.Fill(table);
            AdminGrid.DataSource = table;
        }
        private void exitBtn_Click(object sender, EventArgs e)
        {
            this.Close();
            var author = new Authorization();
            author.Show();
        }
        private void accBtn_Click(object sender, EventArgs e)
        {
            clientBtn.Enabled = true;

            accBtn.Enabled = false;
            zdorBtn.Enabled = true;
            contactBtn.Enabled = true;
            lichnBtn.Enabled = true;
            socpolBtn.Enabled = true;
            uslugiBtn.Enabled = true;
            homeBtn.Enabled = true;
            addBtn.Visible = true;
            delBtn.Visible = true;
            changeBtn.Visible = true;
            ShowTable("SELECT * FROM Пользователи");
            AdminGrid.Rows[0].Selected = false;
            AdminGrid.Columns.Cast<DataGridViewColumn>().ToList().ForEach(f => f.SortMode = DataGridViewColumnSortMode.NotSortable);
        }
        private void zdorBtn_Click(object sender, EventArgs e)
        {
            clientBtn.Enabled = true;

            accBtn.Enabled = true;
            zdorBtn.Enabled = false;
            contactBtn.Enabled = true;
            lichnBtn.Enabled = true;
            socpolBtn.Enabled = true;
            uslugiBtn.Enabled = true;
            homeBtn.Enabled = true;
            addBtn.Visible = true;
            delBtn.Visible = true;
            changeBtn.Visible = true;
            ShowTable("SELECT * FROM Здоровье");
            AdminGrid.Rows[0].Selected = false;
            AdminGrid.Columns["ID"].Visible = false;
            AdminGrid.Columns.Cast<DataGridViewColumn>().ToList().ForEach(f => f.SortMode = DataGridViewColumnSortMode.NotSortable);

        }
        private void contactBtn_Click(object sender, EventArgs e)
        {
            clientBtn.Enabled = true;

            accBtn.Enabled = true;
            zdorBtn.Enabled = true;
            contactBtn.Enabled = false;
            lichnBtn.Enabled = true;
            socpolBtn.Enabled = true;
            uslugiBtn.Enabled = true;
            homeBtn.Enabled = true;
            addBtn.Visible = true;
            delBtn.Visible = true;
            changeBtn.Visible = true;
            ShowTable("SELECT * FROM Контакты");
            AdminGrid.Rows[0].Selected = false;
            AdminGrid.Columns["ID"].Visible = false;
            AdminGrid.Columns.Cast<DataGridViewColumn>().ToList().ForEach(f => f.SortMode = DataGridViewColumnSortMode.NotSortable);

        }
        private void lichnBtn_Click(object sender, EventArgs e)
        {
            clientBtn.Enabled = true;

            accBtn.Enabled = true;
            zdorBtn.Enabled = true;
            contactBtn.Enabled = true;
            lichnBtn.Enabled = false;
            socpolBtn.Enabled = true;
            uslugiBtn.Enabled = true;
            homeBtn.Enabled = true;
            addBtn.Visible = true;
            delBtn.Visible = true;
            changeBtn.Visible = true;
            ShowTable("SELECT * FROM Личные_данные");
            AdminGrid.Rows[0].Selected = false;
            AdminGrid.Columns["ID"].Visible = false;
            AdminGrid.Columns.Cast<DataGridViewColumn>().ToList().ForEach(f => f.SortMode = DataGridViewColumnSortMode.NotSortable);

        }
        private void socpolBtn_Click(object sender, EventArgs e)
        {
            clientBtn.Enabled = true;

            accBtn.Enabled = true;
            zdorBtn.Enabled = true;
            contactBtn.Enabled = true;
            lichnBtn.Enabled = true;
            socpolBtn.Enabled = false;
            uslugiBtn.Enabled = true;
            homeBtn.Enabled = true;
            addBtn.Visible = true;
            delBtn.Visible = true;
            changeBtn.Visible = true;
            ShowTable("SELECT * FROM Социальное_положение");
            AdminGrid.Columns["Доход"].DefaultCellStyle.Format = "N2";
            AdminGrid.Rows[0].Selected = false;
            AdminGrid.Columns["ID"].Visible = false;
            AdminGrid.Columns.Cast<DataGridViewColumn>().ToList().ForEach(f => f.SortMode = DataGridViewColumnSortMode.NotSortable);

        }
        private void uslugiBtn_Click(object sender, EventArgs e)
        {
            clientBtn.Enabled = true;
            accBtn.Enabled = true;
            zdorBtn.Enabled = true;
            contactBtn.Enabled = true;
            lichnBtn.Enabled = true;
            socpolBtn.Enabled = true;
            uslugiBtn.Enabled = false;
            homeBtn.Enabled = true;
            addBtn.Visible = true;
            delBtn.Visible = true;
            changeBtn.Visible = true;
            ShowTable("SELECT * FROM Услуги");
            AdminGrid.Columns["Стоимость"].DefaultCellStyle.Format = "N2";
            AdminGrid.Rows[0].Selected = false;
            AdminGrid.Columns["ID"].Visible = false;
            AdminGrid.Columns.Cast<DataGridViewColumn>().ToList().ForEach(f => f.SortMode = DataGridViewColumnSortMode.NotSortable);

        }
        private void homeBtn_Click(object sender, EventArgs e)
        {
            accBtn.Enabled = true;
            zdorBtn.Enabled = true;
            contactBtn.Enabled = true;
            lichnBtn.Enabled = true;
            socpolBtn.Enabled = true;
            uslugiBtn.Enabled = true;
            homeBtn.Enabled = false;
            addBtn.Visible = true;
            delBtn.Visible = true;
            changeBtn.Visible = true;
            ShowTable("SELECT * FROM На_дом");
            AdminGrid.Rows[0].Selected = false;
            PaintRows();
            AdminGrid.Columns["Завершена"].Visible = false;
            AdminGrid.Columns["ID"].Visible = false;
            AdminGrid.Columns.Cast<DataGridViewColumn>().ToList().ForEach(f => f.SortMode = DataGridViewColumnSortMode.NotSortable);

        }
        private void addBtn_Click(object sender, EventArgs e)
        {
            if (accBtn.Enabled == false)
            {
                UsersClass.add = true;
                var add = new AddUser();
                add.ShowDialog();
                ShowTable("SELECT * FROM Пользователи");
                UsersClass.add = false;

            }
            if (zdorBtn.Enabled == false)
            {
                ZdorovieClass.add = true;
                var add = new AddEditZdor();
                add.ShowDialog();
                ShowTable("SELECT * FROM Здоровье");
                AdminGrid.Columns["ID"].Visible = false;
                ZdorovieClass.add = false;
            }
            if (contactBtn.Enabled == false)
            {
                ContactiClass.add= true;
                var add = new AddEditContact();
                add.ShowDialog();
                ShowTable("SELECT * FROM Контакты");
                AdminGrid.Columns["ID"].Visible = false;
                ContactiClass.add = false;
            }
            if (lichnBtn.Enabled == false)
            {
                LichnoeClass.add = true;
                var add = new AddEditLichnoe();
                add.ShowDialog();
                ShowTable("SELECT * FROM Личные_данные");
                AdminGrid.Columns["ID"].Visible = false;
                LichnoeClass.add = false;
            }
            if (socpolBtn.Enabled == false)
            {
                SocpolClass.add = true;
                var add = new AddEditSocPol();
                add.ShowDialog();
                ShowTable("SELECT * FROM Социальное_положение");
                AdminGrid.Columns["Доход"].DefaultCellStyle.Format = "N2";
                AdminGrid.Columns["ID"].Visible = false;
                SocpolClass.add = false;
            }
            if (uslugiBtn.Enabled == false)
            {
                UslugiClass.add = true;
                var add = new AddEditUslugi();
                add.ShowDialog();
                ShowTable("SELECT * FROM Услуги");
                AdminGrid.Columns["Стоимость"].DefaultCellStyle.Format = "N2";
                AdminGrid.Columns["ID"].Visible = false;
                UslugiClass.add = false;
            }
            if (homeBtn.Enabled == false)
            {
                HomeClass.add = true;
                var add = new AddEditHome();
                add.ShowDialog();
                ShowTable("SELECT * FROM На_дом");
                AdminGrid.Columns["ID"].Visible = false;
                PaintRows();
                AdminGrid.Columns["Завершена"].Visible = false;
                HomeClass.add = false;
            }
            if (clientBtn.Enabled == false)
            {
                ClientClass.add = true;
                var add = new AddEditClient();
                add.ShowDialog();
                ShowTable("SELECT Клиенты.ID, Личные_данные.ID AS ID_Фам, Личные_данные.Фамилия, Личные_данные.Имя, Личные_данные.Отчество, Личные_данные.Пол, Личные_данные.Возраст, Контакты.ID AS ID_Кон, Контакты.Телефон, Социальное_положение.ID AS ID_Соц, Социальное_положение.Место_работы, Услуги.ID AS ID_Усл, Услуги.Наименование_услуги, Здоровье.ID AS ID_Здо, Здоровье.Трудоспособность, Здоровье.Заболевание, На_дом.ID AS ID_Над, На_дом.ФИО_соц_работника , На_дом.Время_записи, На_дом.Завершена FROM Клиенты INNER JOIN Личные_данные ON Клиенты.Личные_данные = Личные_данные.ID INNER JOIN Контакты ON Клиенты.Контакты = Контакты.ID INNER JOIN Услуги ON Клиенты.Услуги = Услуги.ID INNER JOIN Здоровье ON Клиенты.Здоровье = Здоровье.ID INNER JOIN  На_дом ON Клиенты.На_дом = На_дом.ID INNER JOIN  Социальное_положение ON Клиенты.Соц_положение = Социальное_положение.ID");
                AdminGrid.Columns["Завершена"].Visible = false;
                AdminGrid.Columns["ID"].Visible = false;
                AdminGrid.Columns["ID_Фам"].Visible = false;
                AdminGrid.Columns["ID_Кон"].Visible = false;
                AdminGrid.Columns["ID_Соц"].Visible = false;
                AdminGrid.Columns["ID_Усл"].Visible = false;
                AdminGrid.Columns["ID_Здо"].Visible = false;
                AdminGrid.Columns["ID_Над"].Visible = false; 
                PaintRows();
                ClientClass.add = false;
            }

            AdminGrid.Rows[0].Selected = false;
            AdminGrid.Columns.Cast<DataGridViewColumn>().ToList().ForEach(f => f.SortMode = DataGridViewColumnSortMode.NotSortable);
        }
        public void PaintRows()
        {
            foreach (DataGridViewRow row in AdminGrid.Rows)
            {
                try
                {
                    if ((bool)row.Cells["Завершена"].Value == true)
                        row.DefaultCellStyle.BackColor = Color.FromArgb(192, 255, 192);
                    else
                        row.DefaultCellStyle.BackColor = Color.FromArgb(255, 255, 192);
                }
                catch
                {

                }
            }
        }
        private void delBtn_Click(object sender, EventArgs e)
        {
            if (accBtn.Enabled == false)
            {
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    if (AdminGrid.Rows[i].Selected == true)
                    {
                        current = true;
                        break;
                    }
                    else
                    {

                    }
                }
                if (current == true)
                {
                    if (MessageBox.Show("Вы действительно хотите удалить пользователя?", "Внимание", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                    {
                        if ((string)AdminGrid.CurrentRow.Cells["Логин"].Value == "Admin")
                        {
                            MessageBox.Show("Невозможно удалить этого пользователя!");
                            return;
                        }
                        else
                        {
                            try
                            {
                                connection.Open();
                                command.CommandText = "DELETE FROM Пользователи WHERE Логин = @log";
                                command.Parameters.AddWithValue("@log", (string)AdminGrid.CurrentRow.Cells["Логин"].Value);
                                command.ExecuteReader();
                                command.Parameters.Clear();
                                connection.Close();
                                MessageBox.Show("Пользователь успешно удален!");
                            }
                            catch (Exception ex)
                            {
                                MessageBox.Show(ex.Message);
                                command.Parameters.Clear();
                                connection.Close();
                            }
                        }

                    }
                    else
                    {
                    }
                }
                else
                {
                    MessageBox.Show("Выберите строку!");
                    return;
                }
                ShowTable("SELECT * FROM Пользователи");
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    AdminGrid.Rows[i].Selected = false;
                }
                AdminGrid.Rows[0].Selected = false;
                current = false;
            }
            if (zdorBtn.Enabled == false)
            {
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    if (AdminGrid.Rows[i].Selected == true)
                    {
                        current = true;
                        break;
                    }
                    else
                    {

                    }
                }
                if (current == true)
                {
                    if (MessageBox.Show("Вы действительно хотите удалить запись?", "Внимание", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                    {
                        try
                        {
                            connection.Open();
                            command.CommandText = "DELETE FROM Здоровье WHERE ID = @id";
                            command.Parameters.AddWithValue("@id", AdminGrid.CurrentRow.Cells["ID"].Value);
                            command.ExecuteReader();
                            command.Parameters.Clear();
                            connection.Close();
                            MessageBox.Show("Запись успешно удалена!");
                        }
                        catch
                        {
                            MessageBox.Show("Запись используется в другой таблице!");
                            command.Parameters.Clear();
                            connection.Close();
                        }
                    }
                    else
                    {
                    }
                }
                else
                {
                    MessageBox.Show("Выберите строку!");
                    return;
                }
                ShowTable("SELECT * FROM Здоровье");
                AdminGrid.Columns["ID"].Visible = false;
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    AdminGrid.Rows[i].Selected = false;
                }
                AdminGrid.Rows[0].Selected = false;
                current = false;
            }
            if (contactBtn.Enabled == false)
            {
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    if (AdminGrid.Rows[i].Selected == true)
                    {
                        current = true;
                        break;
                    }
                    else
                    {

                    }
                }
                if (current == true)
                {
                    if (MessageBox.Show("Вы действительно хотите удалить запись?", "Внимание", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                    {                    
                        try
                        {
                            connection.Open();
                            command.CommandText = "DELETE FROM Контакты WHERE ID = @id";
                            command.Parameters.AddWithValue("@id", AdminGrid.CurrentRow.Cells["ID"].Value);
                            command.ExecuteReader();
                            command.Parameters.Clear();
                            connection.Close();
                            MessageBox.Show("Запись успешно удалена!");
                        }
                        catch
                        {
                            MessageBox.Show("Запись используется в другой таблице!");
                            command.Parameters.Clear();
                            connection.Close();
                        }
                    }
                    else
                    {
                    }
                }
                else
                {
                    MessageBox.Show("Выберите строку!");
                    return;
                }
                ShowTable("SELECT * FROM Контакты");
                AdminGrid.Columns["ID"].Visible = false;
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    AdminGrid.Rows[i].Selected = false;
                }
                AdminGrid.Rows[0].Selected = false;
                current = false;
            }
            if (lichnBtn.Enabled == false)
            {
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    if (AdminGrid.Rows[i].Selected == true)
                    {
                        current = true;
                        break;
                    }
                    else
                    {

                    }
                }
                if (current == true)
                {
                    if (MessageBox.Show("Вы действительно хотите удалить запись?", "Внимание", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                    {
                    
                        try
                        {
                            connection.Open();
                            command.CommandText = "DELETE FROM Личные_данные WHERE ID = @id";
                            command.Parameters.AddWithValue("@id", AdminGrid.CurrentRow.Cells["ID"].Value);
                            command.ExecuteReader();
                            command.Parameters.Clear();
                            connection.Close();
                            MessageBox.Show("Запись успешно удалена!");
                        }
                        catch
                        {
                            MessageBox.Show("Запись используется в другой таблице!");
                            command.Parameters.Clear();
                            connection.Close();
                        }
                    }
                    else
                    {
                    }
                }
                else
                {
                    MessageBox.Show("Выберите строку!");
                    return;
                }
                ShowTable("SELECT * FROM Личные_данные");
                AdminGrid.Columns["ID"].Visible = false;
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    AdminGrid.Rows[i].Selected = false;
                }
                AdminGrid.Rows[0].Selected = false;
                current = false;
            }
            if (socpolBtn.Enabled == false)
            {
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    if (AdminGrid.Rows[i].Selected == true)
                    {
                        current = true;
                        break;
                    }
                    else
                    {

                    }
                }
                if (current == true)
                {
                    if (MessageBox.Show("Вы действительно хотите удалить запись?", "Внимание", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                    {                    
                        try
                        {
                            connection.Open();
                            command.CommandText = "DELETE FROM Социальное_положение WHERE ID = @id";
                            command.Parameters.AddWithValue("@id", AdminGrid.CurrentRow.Cells["ID"].Value);
                            command.ExecuteReader();
                            command.Parameters.Clear();
                            connection.Close();
                            MessageBox.Show("Запись успешно удалена!");
                        }
                        catch
                        {
                            MessageBox.Show("Запись используется в другой таблице!");
                            command.Parameters.Clear();
                            connection.Close();
                        }
                    }
                    else
                    {
                    }
                }
                else
                {
                    MessageBox.Show("Выберите строку!");
                    return;
                }
                ShowTable("SELECT * FROM Социальное_положение");
                AdminGrid.Columns["Доход"].DefaultCellStyle.Format = "N2";
                AdminGrid.Columns["ID"].Visible = false;
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    AdminGrid.Rows[i].Selected = false;
                }
                AdminGrid.Rows[0].Selected = false;
                current = false;
            }
            if (uslugiBtn.Enabled == false)
            {
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    if (AdminGrid.Rows[i].Selected == true)
                    {
                        current = true;
                        break;
                    }
                    else
                    {

                    }
                }
                if (current == true)
                {
                    if (MessageBox.Show("Вы действительно хотите удалить запись?", "Внимание", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                    {                    
                        try
                        {
                            connection.Open();
                            command.CommandText = "DELETE FROM Услуги WHERE ID = @id";
                            command.Parameters.AddWithValue("@id", AdminGrid.CurrentRow.Cells["ID"].Value);
                            command.ExecuteReader();
                            command.Parameters.Clear();
                            connection.Close();
                            MessageBox.Show("Запись успешно удалена!");
                        }
                        catch
                        {
                            MessageBox.Show("Запись используется в другой таблице!");
                            command.Parameters.Clear();
                            connection.Close();
                        }
                    }
                    else
                    {
                    }
                }
                else
                {
                    MessageBox.Show("Выберите строку!");
                    return;
                }
                ShowTable("SELECT * FROM Услуги");
                AdminGrid.Columns["Стоимость"].DefaultCellStyle.Format = "N2";
                AdminGrid.Columns["ID"].Visible = false;
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    AdminGrid.Rows[i].Selected = false;
                }
                AdminGrid.Rows[0].Selected = false;
                current = false;
            }
            if (homeBtn.Enabled == false)
            {
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    if (AdminGrid.Rows[i].Selected == true)
                    {
                        current = true;
                        break;
                    }
                    else
                    {

                    }
                }
                if (current == true)
                {
                    if (MessageBox.Show("Вы действительно хотите удалить запись?", "Внимание", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                    {                    
                        try
                        {
                            connection.Open();
                            command.CommandText = "DELETE FROM На_дом WHERE ID = @id";
                            command.Parameters.AddWithValue("@id", AdminGrid.CurrentRow.Cells["ID"].Value);
                            command.ExecuteReader();
                            command.Parameters.Clear();
                            connection.Close();
                            MessageBox.Show("Запись успешно удалена!");
                        }
                        catch
                        {
                            MessageBox.Show("Запись используется в другой таблице!");
                            command.Parameters.Clear();
                            connection.Close();
                        }
                    }
                    else
                    {
                    }
                }
                else
                {
                    MessageBox.Show("Выберите строку!");
                    return;
                }
                ShowTable("SELECT * FROM На_дом");
                PaintRows();
                AdminGrid.Columns["ID"].Visible = false;
                AdminGrid.Columns["Завершена"].Visible = false;
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    AdminGrid.Rows[i].Selected = false;
                }
                AdminGrid.Rows[0].Selected = false;
                current = false;
            }
            if (clientBtn.Enabled == false)
            {
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    if (AdminGrid.Rows[i].Selected == true)
                    {
                        current = true;
                        break;
                    }
                    else
                    {

                    }
                }
                if (current == true)
                {
                    if (MessageBox.Show("Вы действительно хотите удалить запись?", "Внимание", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                    {
                        try
                        {
                            connection.Open();
                            command.CommandText = "DELETE FROM Клиенты WHERE ID = @id";
                            command.Parameters.AddWithValue("@id", AdminGrid.CurrentRow.Cells["ID"].Value);
                            command.ExecuteReader();
                            command.Parameters.Clear();
                            connection.Close();
                            MessageBox.Show("Запись успешно удалена!");
                        }
                        catch(Exception ex)
                        {
                            MessageBox.Show(ex.Message);
                        }
                    }
                    else
                    {
                    }
                }
                else
                {
                    MessageBox.Show("Выберите строку!");
                    return;
                }
                ShowTable("SELECT Клиенты.ID, Личные_данные.ID AS ID_Фам, Личные_данные.Фамилия, Личные_данные.Имя, Личные_данные.Отчество, Личные_данные.Пол, Личные_данные.Возраст, Контакты.ID AS ID_Кон, Контакты.Телефон, Социальное_положение.ID AS ID_Соц, Социальное_положение.Место_работы, Услуги.ID AS ID_Усл, Услуги.Наименование_услуги, Здоровье.ID AS ID_Здо, Здоровье.Трудоспособность, Здоровье.Заболевание, На_дом.ID AS ID_Над, На_дом.ФИО_соц_работника , На_дом.Время_записи, На_дом.Завершена FROM Клиенты INNER JOIN Личные_данные ON Клиенты.Личные_данные = Личные_данные.ID INNER JOIN Контакты ON Клиенты.Контакты = Контакты.ID INNER JOIN Услуги ON Клиенты.Услуги = Услуги.ID INNER JOIN Здоровье ON Клиенты.Здоровье = Здоровье.ID INNER JOIN  На_дом ON Клиенты.На_дом = На_дом.ID INNER JOIN  Социальное_положение ON Клиенты.Соц_положение = Социальное_положение.ID");
                AdminGrid.Columns["Завершена"].Visible = false;
                AdminGrid.Columns["ID"].Visible = false;
                AdminGrid.Columns["ID_Фам"].Visible = false;
                AdminGrid.Columns["ID_Кон"].Visible = false;
                AdminGrid.Columns["ID_Соц"].Visible = false;
                AdminGrid.Columns["ID_Усл"].Visible = false;
                AdminGrid.Columns["ID_Здо"].Visible = false;
                AdminGrid.Columns["ID_Над"].Visible = false;
                PaintRows();
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    AdminGrid.Rows[i].Selected = false;
                }
                AdminGrid.Rows[0].Selected = false;
                current = false;
            }
        }
        public void changeBtn_Click(object sender, EventArgs e)
        {
            if (accBtn.Enabled == false)
            {
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    if (AdminGrid.Rows[i].Selected == true)
                    {
                        current = true;
                        break;
                    }
                    else
                    {

                    }
                }
                if (current == true)
                {
                    UsersClass.change = true;
                    UsersClass.login = (string)AdminGrid.CurrentRow.Cells["Логин"].Value;
                    UsersClass.password = (string)AdminGrid.CurrentRow.Cells["Пароль"].Value;
                    UsersClass.mail = (string)AdminGrid.CurrentRow.Cells["Почта"].Value;
                    var change = new AddUser();
                    change.logText.Text = UsersClass.login;
                    change.pasText.Text = UsersClass.password;
                    change.mailText.Text = UsersClass.mail;
                    change.ShowDialog();
                    ShowTable("SELECT * FROM Пользователи");
                    UsersClass.change = false;
                }
                else
                {
                    MessageBox.Show("Выберите строку!");
                    return;
                }
            }
            if (zdorBtn.Enabled == false)
            {
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    if (AdminGrid.Rows[i].Selected == true)
                    {
                        current = true;
                        break;
                    }
                    else
                    {

                    }
                }
                if (current == true)
                {
                    ZdorovieClass.change = true;
                    ZdorovieClass.Заболевание = (string)AdminGrid.CurrentRow.Cells["Заболевание"].Value;
                    ZdorovieClass.Трудоспособность = (string)AdminGrid.CurrentRow.Cells["Трудоспособность"].Value;
                    ZdorovieClass.Лекарства = (string)AdminGrid.CurrentRow.Cells["Жизненноважные_лекарства"].Value;
                    ZdorovieClass.id = (int)AdminGrid.CurrentRow.Cells["ID"].Value;
                    var change = new AddEditZdor();
                    change.zabolevanieText.Text = ZdorovieClass.Заболевание;
                    change.trudosposobText.Text = ZdorovieClass.Трудоспособность;
                    change.lekarstvaText.Text = ZdorovieClass.Лекарства;
                    change.ShowDialog();
                    ShowTable("SELECT * FROM Здоровье");
                    AdminGrid.Columns["ID"].Visible = false;
                    ZdorovieClass.change = false;
                }
                else
                {
                    MessageBox.Show("Выберите строку!");
                    return;
                }
            }
            if (contactBtn.Enabled == false)
            {
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    if (AdminGrid.Rows[i].Selected == true)
                    {
                        current = true;
                        break;
                    }
                    else
                    {

                    }
                }
                if (current == true)
                {
                    ContactiClass.change = true;
                    ContactiClass.Город = (string)AdminGrid.CurrentRow.Cells["Город"].Value;
                    ContactiClass.Улица = (string)AdminGrid.CurrentRow.Cells["Улица"].Value;
                    ContactiClass.Дом = (int)AdminGrid.CurrentRow.Cells["Дом"].Value;
                    ContactiClass.Квартира = (int)AdminGrid.CurrentRow.Cells["Квартира"].Value;
                    ContactiClass.Телефон = (string)AdminGrid.CurrentRow.Cells["Телефон"].Value;
                    ContactiClass.id = (int)AdminGrid.CurrentRow.Cells["ID"].Value;
                    var change = new AddEditContact();
                    change.gorodText.Text = ContactiClass.Город;
                    change.ulicaText.Text = ContactiClass.Улица;
                    change.domText.Text = ContactiClass.Дом.ToString();
                    change.kvartiraText.Text = ContactiClass.Квартира.ToString(); 
                    change.teleText.Text = ContactiClass.Телефон;
                    change.ShowDialog();
                    ShowTable("SELECT * FROM Контакты");
                    AdminGrid.Columns["ID"].Visible = false;
                    ContactiClass.change = false;
                }
                else
                {
                    MessageBox.Show("Выберите строку!");
                    return;
                }
            }
            if (lichnBtn.Enabled == false)
            {
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    if (AdminGrid.Rows[i].Selected == true)
                    {
                        current = true;
                        break;
                    }
                    else
                    {

                    }
                }
                if (current == true)
                {
                    LichnoeClass.change = true;
                    LichnoeClass.Фамилия = (string)AdminGrid.CurrentRow.Cells["Фамилия"].Value;
                    LichnoeClass.Имя = (string)AdminGrid.CurrentRow.Cells["Имя"].Value;
                    LichnoeClass.Отчество = (string)AdminGrid.CurrentRow.Cells["Отчество"].Value;
                    LichnoeClass.Возраст = (int)AdminGrid.CurrentRow.Cells["Возраст"].Value;
                    LichnoeClass.Пол = (string)AdminGrid.CurrentRow.Cells["Пол"].Value;
                    LichnoeClass.id = (int)AdminGrid.CurrentRow.Cells["ID"].Value;
                    var change = new AddEditLichnoe();
                    change.surnameText.Text = LichnoeClass.Фамилия;
                    change.nameText.Text = LichnoeClass.Имя;
                    change.otchText.Text = LichnoeClass.Отчество;
                    change.ageText.Text = LichnoeClass.Возраст.ToString();
                    change.polText.Text = LichnoeClass.Пол;
                    change.ShowDialog();
                    ShowTable("SELECT * FROM Личные_данные");
                    AdminGrid.Columns["ID"].Visible = false;
                    LichnoeClass.change = false;
                }
                else
                {
                    MessageBox.Show("Выберите строку!");
                    return;
                }                         
            }
            if (socpolBtn.Enabled == false)
            {
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    if (AdminGrid.Rows[i].Selected == true)
                    {
                        current = true;
                        break;
                    }
                    else
                    {

                    }
                }
                if (current == true)
                {
                    SocpolClass.change = true;
                    SocpolClass.Место_работы = (string)AdminGrid.CurrentRow.Cells["Место_работы"].Value;
                    SocpolClass.Доход = (decimal)AdminGrid.CurrentRow.Cells["Доход"].Value;
                    SocpolClass.Дети = (int)AdminGrid.CurrentRow.Cells["Количество_детей"].Value;
                    SocpolClass.Состав_семьи = (string)AdminGrid.CurrentRow.Cells["Состав_семьи"].Value;
                    SocpolClass.ЧС = (string)AdminGrid.CurrentRow.Cells["Наличие_ЧС"].Value;
                    SocpolClass.id = (int)AdminGrid.CurrentRow.Cells["ID"].Value;
                    var change = new AddEditSocPol();
                    change.workText.Text = SocpolClass.Место_работы;
                    change.cashText.Text = SocpolClass.Доход.ToString("0.00");
                    change.babyText.Text = SocpolClass.Дети.ToString();
                    change.familyText.Text = SocpolClass.Состав_семьи;
                    change.chsText.Text = SocpolClass.ЧС;
                    change.ShowDialog();
                    ShowTable("SELECT * FROM Социальное_положение");
                    AdminGrid.Columns["Доход"].DefaultCellStyle.Format = "N2";
                    AdminGrid.Columns["ID"].Visible = false;
                    SocpolClass.change = false;
                }
                else
                {
                    MessageBox.Show("Выберите строку!");
                    return;
                }
            }
            if (uslugiBtn.Enabled == false)
            {
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    if (AdminGrid.Rows[i].Selected == true)
                    {
                        current = true;
                        break;
                    }
                    else
                    {

                    }
                }
                if (current == true)
                {
                    UslugiClass.change = true;
                    UslugiClass.Наименование = (string)AdminGrid.CurrentRow.Cells["Наименование_услуги"].Value;
                    UslugiClass.Стоимость = (decimal)AdminGrid.CurrentRow.Cells["Стоимость"].Value;
                    UslugiClass.id = (int)AdminGrid.CurrentRow.Cells["ID"].Value;
                    var change = new AddEditUslugi();
                    change.nameText.Text = UslugiClass.Наименование;
                    change.priceText.Text = UslugiClass.Стоимость.ToString("0.00");
                    change.ShowDialog();
                    ShowTable("SELECT * FROM Услуги");
                    AdminGrid.Columns["Стоимость"].DefaultCellStyle.Format = "N2";
                    AdminGrid.Columns["ID"].Visible = false;
                    UslugiClass.change = false;                    
                }
                else
                {
                    MessageBox.Show("Выберите строку!");
                    return;
                }
            }
            if (homeBtn.Enabled == false)
            {
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    if (AdminGrid.Rows[i].Selected == true)
                    {
                        current = true;
                        break;
                    }
                    else
                    {

                    }
                }
                if (current == true)
                {
                    HomeClass.change = true;
                    var timezap = AdminGrid.CurrentRow.Cells["Время_записи"].Value;
                    var timenach = AdminGrid.CurrentRow.Cells["Начало_работы"].Value;
                    var timekon = AdminGrid.CurrentRow.Cells["Конец"].Value;
                    if (string.IsNullOrEmpty(timekon.ToString()))
                    {
                        HomeClass.Конец = null;
                    }
                    else
                    {
                        HomeClass.Конец = timekon.ToString();
                    }
                    HomeClass.ФИО = (string)AdminGrid.CurrentRow.Cells["ФИО_соц_работника"].Value;
                    HomeClass.Запись = timezap.ToString();
                    HomeClass.Начало = timenach.ToString();
                    HomeClass.id = (int)AdminGrid.CurrentRow.Cells["ID"].Value;
                    var change = new AddEditHome();
                    change.fioText.Text = HomeClass.ФИО;
                    change.timezapText.Text = HomeClass.Запись;
                    change.timenachText.Text = HomeClass.Начало;
                    change.timekonText.Text = HomeClass.Конец;
                    change.ShowDialog();
                    ShowTable("SELECT * FROM На_дом");
                    AdminGrid.Columns["ID"].Visible = false;
                    PaintRows();
                    AdminGrid.Columns["Завершена"].Visible = false;
                    HomeClass.change = false;
                }
                else
                {
                    MessageBox.Show("Выберите строку!");
                    return;
                }                
            }
            if (clientBtn.Enabled == false)
            {
                for (int i = 0; i < AdminGrid.Rows.Count; i++)
                {
                    if (AdminGrid.Rows[i].Selected == true)
                    {
                        current = true;
                        break;
                    }
                    else
                    {

                    }
                }
                if (current == true)
                {
                    ClientClass.change = true;
                    ClientClass.id = (int)AdminGrid.CurrentRow.Cells["ID"].Value;
                    ClientClass.Фамилия = (int)AdminGrid.CurrentRow.Cells["ID_Фам"].Value;
                    ClientClass.Имя = (int)AdminGrid.CurrentRow.Cells["ID_Фам"].Value;
                    ClientClass.Отчество = (int)AdminGrid.CurrentRow.Cells["ID_Фам"].Value;
                    ClientClass.Телефон = (int)AdminGrid.CurrentRow.Cells["ID_Кон"].Value;
                    ClientClass.Наименование_услуги = (int)AdminGrid.CurrentRow.Cells["ID_Усл"].Value;
                    ClientClass.Трудоспособность = (int)AdminGrid.CurrentRow.Cells["ID_Здо"].Value;
                    ClientClass.Заболевание = (int)AdminGrid.CurrentRow.Cells["ID_Здо"].Value;
                    ClientClass.Время_записи = (int)AdminGrid.CurrentRow.Cells["ID_Над"].Value;
                    ClientClass.Соц_работник = (int)AdminGrid.CurrentRow.Cells["ID_Над"].Value;
                    ClientClass.Место_работы = (int)AdminGrid.CurrentRow.Cells["ID_Соц"].Value;
                    var change = new AddEditClient();
                    change.ShowDialog();
                    ShowTable("SELECT Клиенты.ID, Личные_данные.ID AS ID_Фам, Личные_данные.Фамилия, Личные_данные.Имя, Личные_данные.Отчество, Личные_данные.Пол, Личные_данные.Возраст, Контакты.ID AS ID_Кон, Контакты.Телефон, Социальное_положение.ID AS ID_Соц, Социальное_положение.Место_работы, Услуги.ID AS ID_Усл, Услуги.Наименование_услуги, Здоровье.ID AS ID_Здо, Здоровье.Трудоспособность, Здоровье.Заболевание, На_дом.ID AS ID_Над, На_дом.ФИО_соц_работника , На_дом.Время_записи, На_дом.Завершена FROM Клиенты INNER JOIN Личные_данные ON Клиенты.Личные_данные = Личные_данные.ID INNER JOIN Контакты ON Клиенты.Контакты = Контакты.ID INNER JOIN Услуги ON Клиенты.Услуги = Услуги.ID INNER JOIN Здоровье ON Клиенты.Здоровье = Здоровье.ID INNER JOIN  На_дом ON Клиенты.На_дом = На_дом.ID INNER JOIN  Социальное_положение ON Клиенты.Соц_положение = Социальное_положение.ID");
                    AdminGrid.Columns["Завершена"].Visible = false;
                    AdminGrid.Columns["ID"].Visible = false;
                    AdminGrid.Columns["ID_Фам"].Visible = false;
                    AdminGrid.Columns["ID_Кон"].Visible = false;
                    AdminGrid.Columns["ID_Соц"].Visible = false;
                    AdminGrid.Columns["ID_Усл"].Visible = false;
                    AdminGrid.Columns["ID_Здо"].Visible = false;
                    AdminGrid.Columns["ID_Над"].Visible = false;
                    PaintRows();
                    ClientClass.change = false;
                }
                else
                {
                    MessageBox.Show("Выберите строку!");
                    return;
                }
            }
            current = false;
            AdminGrid.Rows[0].Selected = false;
            AdminGrid.Columns.Cast<DataGridViewColumn>().ToList().ForEach(f => f.SortMode = DataGridViewColumnSortMode.NotSortable);
        }
        private void clientBtn_Click(object sender, EventArgs e)
        {
            clientBtn.Enabled = false;
            accBtn.Enabled = true;
            zdorBtn.Enabled = true;
            contactBtn.Enabled = true;
            lichnBtn.Enabled = true;
            socpolBtn.Enabled = true;
            uslugiBtn.Enabled = true;
            homeBtn.Enabled = true;
            addBtn.Visible = true;
            delBtn.Visible = true;
            changeBtn.Visible = true;
            ShowTable("SELECT Клиенты.ID, Личные_данные.ID AS ID_Фам, Личные_данные.Фамилия, Личные_данные.Имя, Личные_данные.Отчество, Личные_данные.Пол, Личные_данные.Возраст, Контакты.ID AS ID_Кон, Контакты.Телефон, Социальное_положение.ID AS ID_Соц, Социальное_положение.Место_работы, Услуги.ID AS ID_Усл, Услуги.Наименование_услуги, Здоровье.ID AS ID_Здо, Здоровье.Трудоспособность, Здоровье.Заболевание, На_дом.ID AS ID_Над, На_дом.ФИО_соц_работника , На_дом.Время_записи, На_дом.Завершена FROM Клиенты INNER JOIN Личные_данные ON Клиенты.Личные_данные = Личные_данные.ID INNER JOIN Контакты ON Клиенты.Контакты = Контакты.ID INNER JOIN Услуги ON Клиенты.Услуги = Услуги.ID INNER JOIN Здоровье ON Клиенты.Здоровье = Здоровье.ID INNER JOIN  На_дом ON Клиенты.На_дом = На_дом.ID INNER JOIN  Социальное_положение ON Клиенты.Соц_положение = Социальное_положение.ID");
            AdminGrid.Columns["Завершена"].Visible = false;
            AdminGrid.Columns["ID"].Visible = false;
            AdminGrid.Columns["ID_Фам"].Visible = false;
            AdminGrid.Columns["ID_Кон"].Visible = false;
            AdminGrid.Columns["ID_Соц"].Visible = false;
            AdminGrid.Columns["ID_Усл"].Visible = false;
            AdminGrid.Columns["ID_Здо"].Visible = false;
            AdminGrid.Columns["ID_Над"].Visible = false;
            PaintRows();
            AdminGrid.Rows[0].Selected = false;
            AdminGrid.Columns.Cast<DataGridViewColumn>().ToList().ForEach(f => f.SortMode = DataGridViewColumnSortMode.NotSortable);
        }

        private void AdminForm_Load(object sender, EventArgs e)
        {

        }
    }
}
